"""===============================================================
با فرض اینکه عناصر دو ارایه ۵۰ عنصری A , B قبلاً ذخیره شده است و به
صورت صعودی نگهداری می شوند. منطق برنامه ای را طراحی کنید که ضمن حفظ
دو ارایه A,B دو آرایه مذکور را با هم ادغام کند و یک آرایه مرکب صعودی
به نام C حاوی ۱۰۰ عنصر بسازد.
==============================================================="""
A = [1,2,3,5,13,14]
B = [4,6,7,8,9]
C = []

count = 0
a = 0
b = 0
while count < (len(A)+len(B)):
    if b >= len(B):
        C.append(A[a])
        a += 1
    elif a >= len(A):
        C.append(B[b])
        b += 1
    elif A[a] > B[b]:
        C.append(B[b])
        b+=1
    else:
        C.append(A[a])
        a += 1
    count += 1
print(C)